﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Button btn = new Button();
        btn.ID = "Button1";
        btn.Text = "Button1";
        btn.Click += new EventHandler(Button1_Click);
        Panel1.Controls.Add(btn);

        LinkButton lnk = new LinkButton();
        lnk.ID = "LinkButton1";
        lnk.Text = "LinkButton1";
        lnk.Click += new EventHandler(LinkButton1_Click);
        Panel1.Controls.Add(lnk);

        ImageButton img = new ImageButton();
        img.ID = "ImageButton1";
        img.ImageUrl = "~/Images/Orange_Small.png";
        img.Click += new ImageClickEventHandler(ImageButton1_Click);
        Panel1.Controls.Add(img);
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        ClientScript.RegisterStartupScript(this.GetType(), "Button_Alert", "alert('Button clicked!');", true);
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        ClientScript.RegisterStartupScript(this.GetType(), "LinkButton_Alert", "alert('LinkButton clicked!');", true);
    }

    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        ClientScript.RegisterStartupScript(this.GetType(), "ImageButton_Alert", "alert('ImageButton clicked!');", true);
    }
}